from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Int, File, String, Boolean

Msa2Prfl_Pl_V0_1_0 = CommandToolBuilder(tool="msa2prfl.pl", base_command=["msa2prfl.pl"], inputs=[ToolInput(tag="in_width", input_type=Int(optional=True), prefix="--width", doc=InputDocumentation(doc="minimal block width (default: 6)")), ToolInput(tag="in_alternative_file_containing", input_type=File(optional=True), prefix="--qij", doc=InputDocumentation(doc="alternative file containing BLOSUM q_ij matrix")), ToolInput(tag="in_max_entropy", input_type=String(optional=True), prefix="--max_entropy", doc=InputDocumentation(doc="maximal entropy of a block column (default: disabled)")), ToolInput(tag="in_keep_empty", input_type=Boolean(optional=True), prefix="--keep_empty", doc=InputDocumentation(doc="do not remove empty columns from alignment")), ToolInput(tag="in_prefix_from_seq_names", input_type=String(optional=True), prefix="--prefix_from_seqnames", doc=InputDocumentation(doc="MSA contains partial sequences, determine\nsequence offset from sequence name as in XXXX/<from>-<to>")), ToolInput(tag="in_relax", input_type=Boolean(optional=True), prefix="--relax", doc=InputDocumentation(doc="consider MSA as partial (allow arbitrary distance at\nbeginning and end)")), ToolInput(tag="in_block_score_file", input_type=File(optional=True), prefix="--blockscorefile", doc=InputDocumentation(doc="create a log file with blocks from the MSA and their scores")), ToolInput(tag="in_setname", input_type=String(optional=True), prefix="--setname", doc=InputDocumentation(doc="set a name for the profile")), ToolInput(tag="in_set_desc", input_type=String(optional=True), prefix="--setdesc", doc=InputDocumentation(doc="set a description for the profile")), ToolInput(tag="in_set_acc", input_type=String(optional=True), prefix="--setacc", doc=InputDocumentation(doc="set an accession id for the profile")), ToolInput(tag="in_info", input_type=File(optional=True), prefix="--info", doc=InputDocumentation(doc="provide a text file containing the meta information")), ToolInput(tag="in_converts", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_uses", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_options", input_type=String(optional=True), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_variable", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_augustus_config_path", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_a", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_protein", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_blosum", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_multiple", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_block", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_subdirectory", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_sequence", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_of", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_profile", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_var_25", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_alignment", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_matrix", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_that", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_can", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_in", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_to", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_fast_a", input_type=String(), position=6, doc=InputDocumentation(doc="")), ToolInput(tag="in_be", input_type=String(), position=6, doc=InputDocumentation(doc="")), ToolInput(tag="in_calculate", input_type=String(), position=6, doc=InputDocumentation(doc="")), ToolInput(tag="in_or", input_type=String(), position=7, doc=InputDocumentation(doc="")), ToolInput(tag="in_pseudo_counts", input_type=String(), position=7, doc=InputDocumentation(doc="")), ToolInput(tag="in_used", input_type=String(), position=7, doc=InputDocumentation(doc="")), ToolInput(tag="in_clustal", input_type=String(), position=8, doc=InputDocumentation(doc="")), ToolInput(tag="in_as", input_type=String(), position=8, doc=InputDocumentation(doc="")), ToolInput(tag="in_which", input_type=String(), position=8, doc=InputDocumentation(doc="")), ToolInput(tag="in_format", input_type=String(), position=9, doc=InputDocumentation(doc="")), ToolInput(tag="in_input", input_type=String(), position=9, doc=InputDocumentation(doc="")), ToolInput(tag="in_is", input_type=String(), position=9, doc=InputDocumentation(doc="")), ToolInput(tag="in_for", input_type=String(), position=10, doc=InputDocumentation(doc="")), ToolInput(tag="in_searched", input_type=String(), position=10, doc=InputDocumentation(doc=""))], outputs=[], container="quay.io/biocontainers/augustus:3.4.0--pl526h0faeac2_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Msa2Prfl_Pl_V0_1_0().translate("wdl")

